POST V1/CustomerSupport.{ext}/CollaborationTask?action={action}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
action

No description available

string

Required

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.CollaborateTask
NameDescriptionTypeAdditional information
TaskId

No description available

string

None.

TaskName

No description available

string

None.

TaskStatus

No description available

string

None.

StartDate

No description available

string

None.

EndDate

No description available

string

None.

AssigntBy

No description available

string

None.

Description

No description available

string

None.

AssignedTo

No description available

Collection of EMS.Inventory.Entities.Tag

None.

TagTo

No description available

Collection of EMS.Inventory.Entities.Tag

None.

Notify

No description available

string

None.

Attachments

No description available

string

None.

ClientId

No description available

string

None.

Comments

No description available

string

None.

CreatedDate

No description available

string

None.

ClientName

No description available

string

None.

taskCreatedDate

No description available

string

None.

CreatedUser

No description available

string

None.

UserID

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "taskId": "sample string 1",
  "taskName": "sample string 2",
  "taskStatus": "sample string 3",
  "startDate": "sample string 4",
  "endDate": "sample string 5",
  "assigntBy": "sample string 6",
  "description": "sample string 7",
  "assignedTo": [
    {
      "tagId": "sample string 1",
      "tagType": "sample string 2",
      "tagValue": "sample string 3",
      "hasConflict": 64
    },
    {
      "tagId": "sample string 1",
      "tagType": "sample string 2",
      "tagValue": "sample string 3",
      "hasConflict": 64
    }
  ],
  "tagTo": [
    {
      "tagId": "sample string 1",
      "tagType": "sample string 2",
      "tagValue": "sample string 3",
      "hasConflict": 64
    },
    {
      "tagId": "sample string 1",
      "tagType": "sample string 2",
      "tagValue": "sample string 3",
      "hasConflict": 64
    }
  ],
  "notify": "sample string 8",
  "attachments": "sample string 9",
  "clientId": "sample string 10",
  "comments": "sample string 11",
  "createdDate": "sample string 12",
  "clientName": "sample string 13",
  "taskCreatedDate": "sample string 14",
  "createdUser": "sample string 15",
  "userID": "sample string 16"
}

application/xml, text/xml

Sample:
<CollaborateTask xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <AssignedTo>
    <Tag>
      <HasConflict>64</HasConflict>
      <TagId>sample string 1</TagId>
      <TagType>sample string 2</TagType>
      <TagValue>sample string 3</TagValue>
    </Tag>
    <Tag>
      <HasConflict>64</HasConflict>
      <TagId>sample string 1</TagId>
      <TagType>sample string 2</TagType>
      <TagValue>sample string 3</TagValue>
    </Tag>
  </AssignedTo>
  <AssigntBy>sample string 6</AssigntBy>
  <Attachments>sample string 9</Attachments>
  <ClientId>sample string 10</ClientId>
  <ClientName>sample string 13</ClientName>
  <Comments>sample string 11</Comments>
  <CreatedDate>sample string 12</CreatedDate>
  <CreatedUser>sample string 15</CreatedUser>
  <Description>sample string 7</Description>
  <EndDate>sample string 5</EndDate>
  <Notify>sample string 8</Notify>
  <StartDate>sample string 4</StartDate>
  <TagTo>
    <Tag>
      <HasConflict>64</HasConflict>
      <TagId>sample string 1</TagId>
      <TagType>sample string 2</TagType>
      <TagValue>sample string 3</TagValue>
    </Tag>
    <Tag>
      <HasConflict>64</HasConflict>
      <TagId>sample string 1</TagId>
      <TagType>sample string 2</TagType>
      <TagValue>sample string 3</TagValue>
    </Tag>
  </TagTo>
  <TaskId>sample string 1</TaskId>
  <TaskName>sample string 2</TaskName>
  <TaskStatus>sample string 3</TaskStatus>
  <UserID>sample string 16</UserID>
  <taskCreatedDate>sample string 14</taskCreatedDate>
</CollaborateTask>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.